Package org.eclipse.handly.ui.viewer

# Class ElementTreeContentProvider

java.lang.Object
org.eclipse.handly.ui.viewer.ElementTreeContentProvider

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IContentProvider`, `org.eclipse.jface.viewers.IStructuredContentProvider`, `org.eclipse.jface.viewers.ITreeContentProvider`

public class ElementTreeContentProvider extends Object implements org.eclipse.jface.viewers.ITreeContentProvider
A basic content provider for `IElement`s. Uses the existing structure of the elements.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Object[]`
  `NO_CHILDREN`
  A zero-length array of the runtime type `Object[]`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElementTreeContentProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  `Object[]`
  `getChildren(Object parentElement)`
  `Object[]`
  `getElements(Object inputElement)`
  `Object`
  `getParent(Object element)`
  `boolean`
  `hasChildren(Object element)`
  `void`
  `inputChanged(org.eclipse.jface.viewers.Viewer viewer, Object oldInput, Object newInput)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NO_CHILDREN

    protected static final Object[] NO_CHILDREN
    A zero-length array of the runtime type `Object[]`.

- ## Constructor Details

  - ### ElementTreeContentProvider

    public ElementTreeContentProvider()

- ## Method Details

  - ### dispose

    public void dispose()
    Specified by:
      `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

  - ### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer, Object oldInput, Object newInput)
    Specified by:
      `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

  - ### getElements

    public Object[] getElements(Object inputElement)
    Specified by:
      `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
    Specified by:
      `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

  - ### getChildren

    public Object[] getChildren(Object parentElement)
    Specified by:
      `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

  - ### getParent

    public Object getParent(Object element)
    Specified by:
      `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

  - ### hasChildren

    public boolean hasChildren(Object element)
    Specified by:
      `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`